HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostChargesChargeRefund

Contains the different functions to run the operation postChargesChargeRefund

  • 4 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostChargesChargeRefund.hs
valuepostChargesChargeRefund
  1. :: MonadHTTP m
  2. => Text

    charge | Constraints: Maximum length of 5000

  3. -> Maybe PostChargesChargeRefundRequestBody

    The request body to send

  4. -> ClientT m (Response PostChargesChargeRefundResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/charges/{charge}/refund

<p>When you create a new refund, you must specify a Charge or a PaymentIntent object on which to create it.</p>

<p>Creating a new refund will refund a charge that has previously been created but not yet refunded. Funds will be refunded to the credit or debit card that was originally charged.</p>

<p>You can optionally refund only part of a charge. You can do so multiple times, until the entire charge has been refunded.</p>

<p>Once entirely refunded, a charge can’t be refunded again. This method will raise an error when called on an already-refunded charge, or when trying to refund more money than is left on a charge.</p>

Defines the object schema located at paths./v1/charges/{charge}/refund.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/charges/{charge}/refund.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/charges/{charge}/refund.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.reason in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postChargesChargeRefund.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostChargesChargeRefundResponseError is used.

Constructors

Instances2Eq, Show